import service from '@/utils/request'

/*
* 工单超节损核算
*/

// 1.1获取左侧菜单栏（2.22修改）
export const getSide = (params) => {
  return service({
    url: '/mes_server/order_super_loss/getTab',
    method: 'get',
    params
  })
}

// 1.2获取超节损工单列表-筛选（2.22修改）
export const getTable = (params) => {
  return service({
    url: '/mes_server/order_super_loss/getList',
    method: 'get',
    params
  })
}

// 1.3获取工单超节损工艺
export const getOrderSuperLossGy = (params) => {
  return service({
    url: '/mes_server/order_super_loss/getOrderSuperLossGy',
    method: 'get',
    params
  })
}

// 2工单超节损统计(按工序)
export const getOrderSuperLossCount = (params) => {
  return service({
    url: '/mes_server/order_super_loss/getOrderSuperLossCount',
    method: 'get',
    params
  })
}

// 3.1查改-获取工单工艺流程
export const getOrderGy = (params) => {
  return service({
    url: '/mes_server/order_super_loss/getOrderGy',
    method: 'get',
    params
  })
}

// 3.2查改-更新产品工艺资料
export const updateOrderGy = (data) => {
  return service({
    url: '/mes_server/order_super_loss/updateOrderGy',
    method: 'post',
    data
  })
}

// 4.1考核设置-获取工单印件资料
export const getOrderYj = (params) => {
  return service({
    url: '/mes_server/order_super_loss/getOrderYj',
    method: 'get',
    params
  })
}

// 4.2考核设置-更新工单印件资料
export const updateOrderYj = (params) => {
  return service({
    url: '/mes_server/order_super_loss/updateOrderYj',
    method: 'get',
    params
  })
}

// 5.1修正工单实际投料-获取列表
export const getOrderFeedList = (params) => {
  return service({
    url: '/mes_server/order_super_loss/getOrderFeedList',
    method: 'get',
    params
  })
}
// 5.2更新工单实际投料
export const updateOrderFeed = (data) => {
  return service({
    url: '/mes_server/order_super_loss/updateOrderFeed',
    method: 'post',
    data
  })
}
// 6工单工序产量查核
export const getOrderProcessCount = (params) => {
  return service({
    url: '/mes_server/order_super_loss/getOrderProcessCount',
    method: 'get',
    params
  })
}
// 7核检废品分布（工单核检单维护3.1）
// 8流程单查询（工单核检单维护5.1,5.2）
// 9工单质检废品统计（工单核检单维护8）
